<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:animateLayoutChanges="true"
    android:background="@color/colorBgWhiteGray"
    tools:context=".ui.home.activity.SupportListActivity">

    <RelativeLayout
        android:id="@+id/layout_search"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="20dp"
        android:animateLayoutChanges="true"
        android:background="@drawable/bg_edit_text_search_high_radius"
        android:padding="10dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:id="@+id/view_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true">

            <!--<ImageView
                android:id="@+id/img_search"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_centerVertical="true"
                android:layout_marginEnd="5dp"
                android:layout_toStartOf="@+id/fake_hint"
                android:src="@drawable/ic_search_map" />

            <com.seatel.mobilehall.view.customview.CustomTextView
                android:id="@+id/fake_hint"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:hint="test"
                android:textSize="16sp" />-->
            <ImageView
                android:id="@+id/img_search"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:layout_centerVertical="true"
                android:layout_marginStart="5dp"
                android:src="@drawable/ic_search_map" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/fake_hint"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="20dp"
                android:layout_toEndOf="@+id/img_search"
                android:hint="@string/search_faqs"
                android:textSize="16sp" />


        </RelativeLayout>

        <com.seatel.mobilehall.util.customview.CustomEditText
            android:id="@+id/cet_search"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="30dp"
            android:layout_marginEnd="30dp"
            android:background="@null"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:imeOptions="actionSearch"
            android:inputType="text"
            android:lines="1"
            android:textSize="16sp" />

        <ImageView

            android:id="@+id/image_clear"
            android:layout_width="20dp"
            android:layout_height="20dp"
            android:layout_alignParentEnd="true"
            android:layout_centerInParent="true"
            android:layout_marginEnd="10dp"
            android:src="@drawable/ic_close_pink"
            android:visibility="gone" />

    </RelativeLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_support_list"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_search"
        app:layout_constraintVertical_bias="1.0" />

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        app:layout_constraintBottom_toBottomOf="@+id/guideline"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/guideline"
        app:layout_constraintVertical_bias="0.504" />

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="@+id/error_view"
        app:layout_constraintGuide_percent="0.50"
        app:layout_constraintStart_toStartOf="@+id/error_view" />


</androidx.constraintlayout.widget.ConstraintLayout>